ketai.sensors

## Class Location

- java.lang.Object
- - android.location.Location
  - - ketai.sensors.Location

- All Implemented Interfaces:
    android.os.Parcelable

      public class Location
      extends android.location.Location

  Wrapper for the android location class.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    - ### Fields inherited from class android.location.Location

      `CREATOR, FORMAT_DEGREES, FORMAT_MINUTES, FORMAT_SECONDS`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location(android.location.Location l)` Instantiates a new location.
    `Location(java.lang.String _loc)` Instantiates a new location.

  - ### Method Summary

    - ### Methods inherited from class android.location.Location

      `bearingTo, convert, convert, describeContents, distanceBetween, distanceTo, dump, getAccuracy, getAltitude, getBearing, getElapsedRealtimeNanos, getExtras, getLatitude, getLongitude, getProvider, getSpeed, getTime, hasAccuracy, hasAltitude, hasBearing, hasSpeed, isFromMockProvider, removeAccuracy, removeAltitude, removeBearing, removeSpeed, reset, set, setAccuracy, setAltitude, setBearing, setElapsedRealtimeNanos, setExtras, setLatitude, setLongitude, setProvider, setSpeed, setTime, toString, writeToParcel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Location

          public Location(java.lang.String _loc)

      Instantiates a new location.
      Parameters:
        `_loc` - the _loc

    - #### Location

          public Location(android.location.Location l)

      Instantiates a new location.
      Parameters:
        `l` - the l